%define qtdir %_libdir/qt3

Name:         kdebluetooth
Version:      0.0.cvs20040716
Release:      alt1

Group:        Communications
Summary:      Bluetooth support for KDE
URL:          http://kde-bluetooth.sourceforge.net
License:      GPL

Source0: %name-%version.tar.bz2
Patch1: %name.diff
# ALT
Patch2: faxhandler.desktop.patch

# Automatically added by buildreq on Thu Jul 15 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs bzlib-devel doxygen fontconfig freetype2 gcc-c++ gcc-g77 glib-devel glib2-devel graphviz gtk+-devel kde-settings kdebase-konqueror kdebase-libs kdebase-wm kdelibs-devel libMySQL-devel libalsa-devel libarts-devel libatk-devel libbluez-devel libexif-devel libgcrypt-devel libgpg-error-devel libgphoto2-devel libgtk+2-devel libjpeg-devel liblockdev-devel libogg-devel libopenobex-devel libpango-devel libpng-devel libqt3-devel libstdc++-devel libvorbis-devel libxmms-devel menu-devel pkgconfig python-base python-modules-compiler python-modules-encodings qt3-designer qt3-doc rpm-build-python sqlite-devel xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs bzlib-devel doxygen fontconfig freetype2
BuildRequires: gcc-c++ glib-devel glib2-devel gtk+-devel kdelibs-devel libalsa-devel libarts-devel
BuildRequires: libatk-devel libbluez-devel libexif-devel libgcrypt-devel libgtk+2-devel libjpeg-devel
BuildRequires: libogg-devel libopenobex-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libvorbis-devel menu-devel pkgconfig
BuildRequires: python-base python-modules-compiler python-modules-encodings
BuildRequires: rpm-build-python xml-utils zlib-devel
BuildRequires: kde-common-devel

%description
To exchange easily files data via Bluetooth.

Authors:
--------
    Mattia Merzi <merzi@itc.it>
    Fred Schaettgen <kdebluetooth@schaettgen.de>
    Simone Gotti <motaboy@libero.it>

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
Development files for %name

%prep
%setup -q -n kdeextragear-3
%patch1 -p0
%patch2 -p0

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir -L%qtdir/lib -L%_x11libdir"

%configure \
	--enable-debug=full \
	--disable-final \
        --enable-shared \
        --disable-static \
	--enable-fast-install \
	--disable-embedded \
	--disable-palmtop \
	--disable-rpath \
	--with-gnu-ld \
	--with-pic \
	--program-transform-name="" \
	--with-xinerama

pushd kdebluetooth
%make_build
popd

pushd doc/kdebluetooth
%make_build
popd

%install
pushd kdebluetooth
%make DESTDIR=%buildroot install
popd
pushd doc/kdebluetooth
%make DESTDIR=%buildroot install
popd
ln -sf ../lib/kdebluetooth/kbluepin %buildroot/%_sbindir/kbluepin
mv -f \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth.directory \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory


# menu
mkdir -p %Kb_menudir

%Kd2m %name .hidden %Kbapplnk/.hidden/kioobex_start.desktop %Kb_menudir/%name-kioobex_start kde
%Kd2m %name Applications/Communications %Kbapplnk/Application/kbtobexsrv.desktop %Kb_menudir/%name-kbtobexsrv kde
%Kd2m %name Configuration/KDE/Network/Bluetooth %Kbapplnk/Settings/Network/Bluetooth/kcm_kbluetoothd.desktop %Kb_menudir/%name-kcm_kbluetoothd kde
%Kd2m %name Configuration/KDE/Peripherals %Kbapplnk/Settings/Peripherals/obex.desktop %Kb_menudir/%name-obex kde
%Kd2m %name Applications/Communications %Kbapplnk/System/kbluetoothd.desktop %Kb_menudir/%name-kbluetoothd kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/dunhandler.desktop %Kb_menudir/%name-dunhandler kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/faxhandler.desktop %Kb_menudir/%name-faxhandler kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/kbemusedsrv.desktop %Kb_menudir/%name-kbemusedsrv kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/kbthandsfree.desktop %Kb_menudir/%name-kbthandsfree kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/kbtobexclient.desktop %Kb_menudir/%name-kbtobexclient kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/kbtobexsrv.desktop %Kb_menudir/%name-kbtobexsrv kde
%Kd2m %name Applications/Communications %Kbapplnk/Utilities/kbtserialchat.desktop %Kb_menudir/%name-kbtserialchat kde
cat >%Kb_menudir/%name-basedir <<__EOF__
?package(%name): needs="kde" section="Configuration/KDE/Network/" title="Bluetooth" icon="kdebluetooth"
__EOF__

%post
%post_ldconfig
%update_menus
#
%postun
%postun_ldconfig
%clean_menus

%files
%config(noreplace) %_datadir/config/obexrc
%_bindir/*
%_sbindir/*
%_libdir/*.so*
%_libdir/%name
%_libdir/kde3/*.so*
%_libdir/kde3/*.la
%_datadir/apps/kbluetoothd
%_datadir/apps/kbthandsfree
%_datadir/apps/kbtobexclient
%_datadir/apps/kdebluetooth
%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/virtual_folders/
%dir %_datadir/apps/konqsidebartng/virtual_folders/services/
%_datadir/apps/konqsidebartng/virtual_folders/services/bluetooth_sidebarentry.desktop
%_datadir/apps/konqueror/servicemenus/kbtobexclient_sendfile.desktop
%_datadir/autostart/kbluetoothd.autostart.desktop
%_datadir/mimelnk/bluetooth
%_datadir/services/bluetooth.protocol
%_datadir/services/btsdp.protocol
%_datadir/services/kbluetoothd_*
%_datadir/services/obex.protocol
%_datadir/services/sdpmime-*
%_datadir/servicetypes/kbluetoothdmodule.desktop
%_datadir/servicetypes/sdpservicehandler.desktop
%_datadir/sounds/KBTHandsfree_RingRing.wav
%_iconsdir/*/*/apps/*.png
%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory
%Kapplnk/.hidden/kioobex_start.desktop
%Kapplnk/Application/kbtobexsrv.desktop
%Kapplnk/Settings/Network/Bluetooth/.directory
%Kapplnk/Settings/Network/Bluetooth/kcm_kbluetoothd.desktop
%Kapplnk/Settings/Peripherals/obex.desktop
%Kapplnk/System/kbluetoothd.desktop
%Kapplnk/Utilities/*.desktop
%_menudir/*
#
%doc kdebluetooth/ChangeLog kdebluetooth/README kdebluetooth/AUTHORS
%doc %_docdir/HTML/en/%name

%files devel
%_includedir/*

%changelog
* Fri Jul 16 2004 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20040716-alt1
- initial spec
